CPOW(3)

NAME
cpow - complex power function

SYNOPSIS
#include <complex.h>
double complex
cpow(double complex x, double complex y);
long double complex
cpowl(long double complex x, long double complex y);
float complex
cpowf(float complex x, float complex y);

DESCRIPTION
cpow(x, y) returns the complex number x raised to the complex power y.

cpow(x,y) is equivalent to cexp(y * clog(x)). As such, cpow(x, y) has a branch cut along the negative real axis for the first argument, and the equality cpow(conj(x),conj(y)) = conj(cpow(x,y)) holds for all x and y.

SPECIAL VALUES
For special values, see clog and cexp.

SEE ALSO
cexp(3) clog(3) complex(3)

STANDARDS
The cpow() function conforms to ISO/IEC 9899:2011.